import { WorkboxPlugin } from 'workbox-core';
export interface FirebaseOptions {
    version?: string;
    config?: object;
}
export interface Options {
    awaitResponse?: boolean;
    constraints?: {
        types?: string | string[];
        https?: boolean;
        sameOrigin?: boolean;
        ignorePaths?: (string | RegExp)[];
    };
}
export declare const initializeFirebase: (options: FirebaseOptions) => void;
export declare class Plugin implements WorkboxPlugin {
    private readonly constraints;
    private readonly awaitResponse;
    constructor(options?: Options);
    requestWillFetch: WorkboxPlugin['requestWillFetch'];
    fetchDidSucceed: WorkboxPlugin['fetchDidSucceed'];
}
